## ilisp 5.11.1-7

=== Makefile ===
# -*- Mode: Makefile -*-

# Makefile --
#
# This file is part of ILISP.
# Please refer to the file COPYING for copyrights and licensing
# information.
# Please refer to the file ACKNOWLEGDEMENTS for an (incomplete) list
# of present and past contributors.
#
# $Id: Makefile,v 1.18 2002/01/25 11:48:33 mkoeppe Exp $

# Note: this makefile assumes GNU make

#==============================================================================
# Various Variables

Version = 5.11.1

# Use whichever you like most
#EMACS = xemacs
#EMACS = /usr/local/bin/emacs
EMACS = emacs

# If your operating system does not support file links (e.g. Windows),
# change this to an ordinary copy command
LN = ln -s

# Pick the HyperSpec access package you prefer among the ones available in
# directory `extra'
HyperSpec = hyperspec-naggum.el

# The SHELL variable is used only for making the distribution.
SHELL = /bin/sh

# The 'rm' command used (we redefine it mostly because it may be
# aliased
RM = /bin/rm -f


# These are used mostly for packaging the distribution
Ilisp_src_dir = $(shell pwd)
Ilisp_tar_dir = ilisp-$(Version)

OtherFiles = README         \
             HISTORY        \
             Makefile       \
             ilisp.emacs    \
             INSTALLATION   \
             COPYING        \
             GETTING-ILISP  \
             Welcome        \
	     ChangeLog      \
	     ACKNOWLEGDEMENTS

# maybe add custom-ilisp.elc to LoadFiles later.
LoadFiles = ilisp-def.elc ilisp-sym.elc \
 ilisp-inp.elc ilisp-ind.elc ilisp-prc.elc ilisp-val.elc ilisp-out.elc \
 ilisp-mov.elc ilisp-key.elc ilisp-prn.elc ilisp-low.elc ilisp-doc.elc \
 ilisp-ext.elc ilisp-mod.elc ilisp-dia.elc ilisp-cmt.elc ilisp-rng.elc \
 ilisp-hnd.elc ilisp-utl.elc ilisp-cmp.elc ilisp-kil.elc ilisp-snd.elc \
 ilisp-xfr.elc ilisp-hi.elc ilisp-aut.elc \
 ilisp-cl.elc ilisp-cmu.elc ilisp-sbcl.elc ilisp-cl-easy-meny.elc\
 ilisp-scheme-easy-menu.elc\
 ilisp-acl.elc ilisp-kcl.elc ilisp-luc.elc ilisp-sch.elc ilisp-hlw.elc \
 ilisp-xls.elc ilisp-chs.elc ilisp-openmcl.elc


DocFiles = docs/Makefile \
	   docs/README \
	   docs/doc-changes.txt \
           docs/ilisp-refcard.tex \
           docs/ilisp.texi


FaslFiles = *.fasl *.fas *.lib *.x86f *.sparcf *.pfsl

#==============================================================================
# Rules

compile:
	(cd extra; $(LN) -f $(HyperSpec) hyperspec.el; cd ..)
	$(EMACS) -batch -l ilisp-mak.el

tags:
	etags *.el

docs: FORCE
	cd docs; $(MAKE)

clean: 
	-$(RM) *.elc *~ extra/*.elc extra/hyperspec.el extra/*~ TAGS \
	$(FaslFiles)
	(cd docs; $(MAKE) clean)

loadfile:
	touch ilisp-all.elc
	cat $(LoadFiles) > ilisp-all.elc
	$(RM) $(LoadFiles)
# Note that the redirection is done by a Bourne Shell.

compress:
	gzip *.el $(OtherFiles)

FORCE:

#==============================================================================
# The following targets are used only to create a distribution file.

dist: tarring dist_compressing

tarring:
	@echo "ILISP dist: preparing tar file."
	@echo "            source directory: " $(Ilisp_src_dir)
	@echo "            tar directory:    " $(Ilisp_tar_dir)
	(cd $(Ilisp_src_dir)/..;                                        \
         if ( $(notdir $(Ilisp_src_dir)) != $(Ilisp_tar_dir) )          \
            ln -s $(notdir $(Ilisp_src_dir)) $(Ilisp_tar_dir) ;         \
         tar cvf $(Ilisp_tar_dir).tar                                   \
            $(patsubst %,$(Ilisp_tar_dir)/%,$(OtherFiles))              \
            $(Ilisp_tar_dir)/*.el                                       \
            $(Ilisp_tar_dir)/*.lisp                                     \
            $(Ilisp_tar_dir)/*.scm                                      \
            $(patsubst %,$(Ilisp_tar_dir)/%,$(DocFiles))                \
            $(Ilisp_tar_dir)/extra/README                               \
            $(Ilisp_tar_dir)/extra/hyperspec-*.el                       \
	    $(Ilisp_tar_dir)/extra/cltl2.el				\
            $(Ilisp_tar_dir)/pictures/ilisp-icon.*                      \
        )

dist_compressing:
	(cd $(Ilisp_src_dir)/.. ; gzip $(Ilisp_tar_dir).tar)

uuencoding: ../$(Ilisp_tar_dir).tar.gz
	(cd $(Ilisp_src_dir)/.. ;                                           \
         uuencode $(Ilisp_tar_dir).tar.gz $(Ilisp_tar_dir).tar.gz > il.uue)


# end of file -- Makefile --

=== docs/Makefile ===
# -*- Mode: Makefile -*-

# Makefile --
#
# This file is part of ILISP.
# Please refer to the file COPYING for copyrights and licensing
# information.
# Please refer to the file ACKNOWLEGDEMENTS for an (incomplete) list
# of present and past contributors.
#
# $Id: Makefile,v 1.5 2001/06/06 12:07:33 amoroso Exp $

# Note: this makefile assumes GNU make

#==============================================================================
# Various Variables

Version = 5.11.1

# The SHELL variable is used only for making the distribution.
SHELL = /bin/sh

# The 'rm' command used (we redefine it mostly because it may be
# aliased
RM = /bin/rm -f

LN = /bin/ln

DVIPS = dvips

DocFiles = ilisp.texi ilisp-refcard.tex

# Debris (also known as temporary files) produced by texi2dvi

DVIDebris = *.aux *.cp *.cps *.fn *.fns *.ky *.kys *.log *.pg *.pgs \
            *.toc *.tp *.vr *.vrs

HTML_Target_Dir	= html/doc
HTML_Targets = ilisp.ps ilisp.pdf ilisp_toc.html ilisp.html

#==============================================================================
# Rules

docs: ps pdf info html

ps: ilisp.ps ilisp-refcard.ps

ilisp.ps: ilisp.dvi
	$(DVIPS) -o $@ $<

ilisp-refcard.ps: ilisp-refcard.dvi
	$(DVIPS) -o $@ $<

dvi: ilisp.dvi ilisp-refcard.dvi

info: ilisp.info

html: ilisp.texi
	-texi2html $<

ilisp_toc.html ilisp.html: html

pdf: ilisp.pdf

ilisp.pdf: ilisp.ps
	-ps2pdf ilisp.ps ilisp.pdf

ilisp.dvi: ilisp.texi

ilisp-refcard.dvi: ilisp-refcard.tex
	tex $<

# Administrative targets.

updatehtml: $(HTML_Targets)
	-(cd $(HTML_Target_Dir); $(RM) $(HTML_Targets))
	-$(LN) $(HTML_Targets) $(HTML_Target_Dir)

clean: 
	-$(RM) $(DVIDebris) \
               ilisp.dvi \
               ilisp.ps \
               ilisp*.html \
               ilisp.info* \
               ilisp.pdf \
	       ilisp-refcard.dvi \
	       ilisp-refcard.ps \
               *~

tmpclean:
	-$(RM) $(DVIDebris)


# end of file -- Makefile --

=== debian/changelog ===
ilisp (5.11.1-7) unstable; urgency=low

  * well 125744 was fixed, but I put the files in the old place on
    accident.
  * Fixed 140049 - bad symlinks
  * Fixed 138669 - typo in ilisp-cmu
  * Fixed 137011 - ilisp-pkg issues

 -- Craig Brozefsky <craig@red-bean.com>  Mon, 25 Feb 2002 12:26:21 -0500

ilisp (5.11.1-6) unstable; urgency=low

  * common-lisp-controller support finally.  This is the official
    interface for ILISP maintenance of source and compiled files for
    it's various CL based backends.
  * upstream updates, fresh baked from HEAD
  * closed 125744 ilisp-mak.el turn on
  * closed 98132  (use c-l-c now) take up with clisp maintainer
  * closed 128856 (use c-l-c now) cleanup is really cmucl's problem
  * closed 129980 (use c-l-c now)
  * closed 87652  (use c-l-c now)
  * closed 123631 (remaining changes are to be taken care of upstream)

 -- Craig Brozefsky <craig@red-bean.com>  Fri, 22 Feb 2002 12:26:21 -0500

ilisp (5.11.1-5) unstable; urgency=low

  * compile/install ilisp-imenu

 -- Craig Brozefsky <craig@red-bean.com>  Mon, 26 Nov 2001 12:26:21 -0500

ilisp (5.11.1-4) unstable; urgency=low

  * closed bug 121266

 -- Craig Brozefsky <craig@red-bean.com>  Mon, 26 Nov 2001 12:26:21 -0500

ilisp (5.11.1-3) unstable; urgency=low

  * closed bug 98130
  * closed bug 87751

 -- Craig Brozefsky <craig@red-bean.com>  Fri, 23 Nov 2001 12:26:21 -0500

ilisp (5.11.1-2) unstable; urgency=low

  * closed bug 120767, includes cltl2.elc
  * fixed minor emacsen-install problem

 -- Craig Brozefsky <craig@red-bean.com>  Fri, 23 Nov 2001 11:26:21 -0500

ilisp (5.11.1-1) unstable; urgency=low

  * New upstream minor version
  * closed bug 85592, actually last version did.
  * closed bug 119931 with upstream fix.
  * closed bug 18825

 -- Craig Brozefsky <craig@red-bean.com>  Thu, 22 Apr 2001 03:26:21 -0500

ilisp (5.11-1) unstable; urgency=low

  * New upstream version
  * closed bug 87752

 -- Craig Brozefsky <craig@red-bean.com>  Tue, 17 Apr 2001 03:26:21 -0500

ilisp (5.10.1-1) unstable; urgency=low

  * New upstream version
  * Added a system defaults  file in /etc/ilisp/ilisp.el which is loaded
    by the emacsen-startup code for ilisp only if ~/.ilisp is not
    readable.  This is to allow users to customize ilisp fully, while
    allowing administrators to provide useful defaults
  * Craig Brozefsky takes over as maintainer from the original
    packager, Jesse Bouwman <jesse@onshore.com>

 -- Craig Brozefsky <craig@red-bean.com>  Wed, 27 Dec 2000 03:26:21 -0500

ilisp (5.9.4-2) unstable; urgency=low

  * Add Karl Fogel's FSF keybindings, make them the default.

 -- Jesse L. Bouwman <jesse@onshore.com>  Fri,  4 Feb 2000 23:26:44 -0600

ilisp (5.9.4-1) unstable; urgency=low

  * Initial Release.

 -- Jesse L. Bouwman <jesse@onshore.com>  Wed,  2 Feb 2000 23:26:44 -0600

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: ilisp
Section: non-free/devel
Priority: optional
Maintainer: Craig Brozefsky <craig@debian.org>
Standards-Version: 3.0.1

Package: ilisp
Architecture: all
Depends: emacsen
Suggests: common-lisp-controller
Description: Package for interacting with LISPs using EMACSes
 ILISP is a powerful GNU Emacs interface to many dialects of Lisp,
 including Lucid, Allegro, Harlequin LispWorks, GCL, KCL, AKCL, ECL,
 IBCL, and CMUCL.  Also some Scheme implementations are supported as
 well as a preliminary version of Xlisp/XlispStat.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=1

installbin = install -g root -o root -m 755
installdoc = install -g root -o root -m 644


build: build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	#$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

binary-indep: build
# nothing to do

# Build architecture-dependent files here.
binary-arch: build
	dh_testdir
	dh_testroot
	dh_installemacsen
	(cd docs; make ilisp.info; cd ..)
	$(installdoc) -d debian/tmp/usr/share/info
	$(installdoc) docs/*.info* debian/tmp/usr/share/info
	$(installbin) -d debian/tmp/usr/share/emacs/site-lisp/ilisp
	$(installbin) -d debian/tmp/usr/share/ilisp
	$(installdoc) *.el debian/tmp/usr/share/emacs/site-lisp/ilisp
	$(installdoc) *.lisp debian/tmp/usr/share/ilisp
	$(installdoc) *.scm debian/tmp/usr/share/ilisp
	$(installdoc) debian/ilisp.system debian/tmp/usr/share/ilisp/ilisp.system
	$(installbin) -d debian/tmp/usr/share/emacs/site-lisp/ilisp/extra
	$(installdoc) extra/*.el debian/tmp/usr/share/emacs/site-lisp/ilisp/extra
	$(installbin) -d debian/tmp/etc/ilisp
	$(installdoc) debian/ilisp.el debian/tmp/etc/ilisp
	dh_installdocs
	dh_installchangelogs	
	dh_installdeb
	dh_gencontrol
	dh_compress
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## ilisp 5.12.0%2Bcvs.2004.12.26

=== debian/changelog ===
ilisp (5.12.0+cvs.2004.12.26-29build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 15 Dec 2025 19:45:22 +0000

ilisp (5.12.0+cvs.2004.12.26-29) unstable; urgency=medium

  * Obey mult-arch hinter
  * Update standards version to 4.6.2, no changes needed.
  * Dependency on adduser (closes: #1026015)

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 03 Jul 2023 19:32:24 +0100

ilisp (5.12.0+cvs.2004.12.26-28) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper dependency to >= 11, since that's what is used in
    debian/compat.
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Fix day-of-week for changelog entries 5.12.0+cvs.2003.03.02c,
    5.12.0+cvs.2002.11.10, 5.11.1-1.

  [ Barak A. Pearlmutter ]
  * Ack NMUs. (Thanks, Sébastien!)
  * bump policy
  * bump debhelper from 12 to 13

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 05 Jan 2021 11:31:39 +0000

ilisp (5.12.0+cvs.2004.12.26-27.2) unstable; urgency=medium

  * Non-maintainer upload
  * Really remove the Pre-Depends on common-lisp-controller
    (Closes: #911527)

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 20 Dec 2018 11:29:53 +0100

ilisp (5.12.0+cvs.2004.12.26-27.1) unstable; urgency=medium

  * Non-maintainer upload
  * Remove Pre-Depends on common-lisp-controller. Accordingly, remove call
    to register-common-lisp-source in postinst, and entirely remove prerm.
    (Closes: #911527)

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 26 Nov 2018 14:22:44 +0100

ilisp (5.12.0+cvs.2004.12.26-27) unstable; urgency=medium

  * does not seem compatible with xemacs21 (closes: #909377)
  * bump policy

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 01 Oct 2018 15:13:36 +0100

ilisp (5.12.0+cvs.2004.12.26-26) unstable; urgency=medium

  * swizzle packaging repo to salsa
  * dh11
  * bump policy

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 28 Mar 2018 20:11:09 +0100

ilisp (5.12.0+cvs.2004.12.26-25) unstable; urgency=medium

  * support emacs25
  * bump policy version
  * switch from texti2html to makeinfo per lintian
  * Rules-Require-Root: no
  * move an @itemize to the left in the texinfo file per warning
  * secure repo URLs

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 21 Nov 2017 13:10:29 +0000

ilisp (5.12.0+cvs.2004.12.26-24) unstable; urgency=high

  * Team upload.
  * Patch ilisp-mak.el to bytecompile ilfsf25.el (Closes: #850072).
    Thanks Oleksandr Gavenko for reporting the problem, and Adam Di Carlo
    for the patch.
  * Pass `-f` to calls to `ln` in emacsen-install script.
    This ensures the script is idempotent (Closes: #861868).
    Thanks Adam Di Carlo for the patch.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 06 May 2017 12:26:14 -0700

ilisp (5.12.0+cvs.2004.12.26-23) unstable; urgency=medium

  * bump policy version
  * dh10
  * use debian-emacs-flavor and guard its use
  * add emacs25 support

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 25 Dec 2016 16:38:08 +0000

ilisp (5.12.0+cvs.2004.12.26-22) unstable; urgency=medium

  * Brazilian Portuguese debconf translation (closes: #816934)
  * bump policy version

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 21 Mar 2016 16:39:19 +0000

ilisp (5.12.0+cvs.2004.12.26-21) unstable; urgency=medium

  * Dutch debconf translation (closes: #766522)

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 24 Oct 2014 12:49:28 +0100

ilisp (5.12.0+cvs.2004.12.26-20) unstable; urgency=medium

  * Italian debconf translation (closes: #764087)

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 14 Oct 2014 17:50:18 +0100

ilisp (5.12.0+cvs.2004.12.26-19) unstable; urgency=medium

  * track emacsen API

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 16 Mar 2014 22:22:33 +0000

ilisp (5.12.0+cvs.2004.12.26-18) unstable; urgency=low

  * add emacs24 support (closes: #680646)
  * update some constructs that annoy the elisp compiler
  * stop making /etc/ilisp/ilisp-keybindings.el a conf file (closes: #688888)
  * restrict writes in global .fasl directory to group ilisp (closes: #682826)

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 01 Jul 2013 09:48:08 +0100

ilisp (5.12.0+cvs.2004.12.26-17) unstable; urgency=low

  * debconf Danish translation (closes: #661952)
  * dh 9
  * bump policy version

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 04 Mar 2012 23:21:25 +0000

ilisp (5.12.0+cvs.2004.12.26-16) unstable; urgency=low

  * silence lintian concerning debian/rules targets
  * single-debian-patch source option (closes: #643165)

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 05 Oct 2011 09:48:52 +0100

ilisp (5.12.0+cvs.2004.12.26-15) unstable; urgency=low

  * add missing right paren to completion bug fix (closes: #635094)

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 22 Jul 2011 18:47:34 +0200

ilisp (5.12.0+cvs.2004.12.26-14) unstable; urgency=low

  * fix completion bug

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 11 Jul 2011 20:29:49 +0200

ilisp (5.12.0+cvs.2004.12.26-13) unstable; urgency=low

  * dh --parallel
  * upstream: tweaks to Makefile
    - increase robustness
    - allows removal of csh build dependency
  * bump deb std

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 26 Apr 2011 19:11:27 +0100

ilisp (5.12.0+cvs.2004.12.26-12) unstable; urgency=low

  * bump standards version (debian/control)
  * debconf Japanese translation (closes: #603652)
    thanks to Nobuhiro Iwamatsu
  * bump to debhelper 8

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 16 Nov 2010 10:18:40 +0000

ilisp (5.12.0+cvs.2004.12.26-11) unstable; urgency=low

  * directly build PDF targets to avoid ps2pdf; see bugs.debian.org/578910

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 14 Jun 2010 16:29:19 +0200

ilisp (5.12.0+cvs.2004.12.26-10) unstable; urgency=low

  * debian/po/es.po: Spanish debconf translation (closes: #584446)

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 04 Jun 2010 09:50:47 +0100



## ilisp 5.12.0+cvs.2004.03.19

=== debian/control ===
Source: ilisp
Section: devel
Priority: optional
Maintainer: Kevin M. Rosenberg <kmr@debian.org>
Build-Depends-Indep: debhelper (>= 4.1.16), texinfo, tetex-bin, gs-common, texi2html
Standards-Version: 3.6.1.0

Package: ilisp
Architecture: all
Depends: emacsen-common, debconf (>= 1.2.0)
Pre-Depends: common-lisp-controller (>= 3.42)
Recommends: ilisp-doc
Suggests: hyperspec, cltl
Description: Emacs interface to LISP implementations
 ILISP is a powerful GNU Emacs interface to many dialects of Lisp,
 including Lucid, Allegro, Harlequin LispWorks, GCL, KCL, AKCL, ECL,
 IBCL, and CMUCL.  Also some Scheme implementations are supported as
 well as a preliminary version of Xlisp/XlispStat.

Package: ilisp-doc
Architecture: all
Section: devel
Recommends: ilisp
Description: Documentation for ILISP package
 This package supplies PDF and HTML documentation for the ILISP
 package. ILISP is a powerful GNU Emacs interface to many dialects of
 Lisp.

## ilisp 5.12.0+cvs.2004.12.23

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: ilisp
 Section: devel
 Priority: optional
-Maintainer: Kevin M. Rosenberg <kmr@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends-Indep: debhelper (>= 4.1.16), texinfo, tetex-bin, gs-common, texi2html
-Standards-Version: 3.6.1.0
+Standards-Version: 3.6.1.1
 
 Package: ilisp
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# GNU copyright 1997 to 1999 by Joey Hess.
# GNU copyright 2002 to 2003 Kevin Rosenberg <kmr@debian.org>

pkg		:= ilisp
pkg-doc		:= ilisp-doc
emacs_dir	:= usr/share/emacs/site-lisp/$(pkg)
ilisp_etc_dir	:= etc/ilisp
ilisp_share	:= usr/share/ilisp
cl_dir		:= usr/share/common-lisp/source/ilisp
clc_systems	:= usr/share/common-lisp/systems
compiled_dir	:= usr/lib/ilisp
info_dir	:= usr/share/info
doc_dir		:= usr/share/doc/$(pkg-doc)

build: build-stamp
build-stamp:
	dh_testdir
	# Add here commands to compile the package.
	(cd docs; make info pdf ilisp.html; cd ..)
	touch build-stamp

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -p $(pkg) $(info_dir) $(emacs_dir) $(emacs_dir)/extra \
			$(ilisp_etc_dir) $(ilisp_share) $(info_dir)
	dh_installdirs -p $(pkg-doc) $(doc_dir) $(cl_dir)

	dh_install -p $(pkg) $(wildcard *.el) $(emacs_dir)
	dh_install -p $(pkg) $(wildcard extra/*.el) $(emacs_dir)/extra
	dh_install -p $(pkg) $(wildcard *.lisp) debian/ilisp.asd $(cl_dir)
	dh_link $(cl_dir)/ilisp.asd $(clc_systems)/ilisp.asd
	dh_install -p $(pkg) $(wildcard *.scm) $(ilisp_share)
	dh_install -p $(pkg) debian/ilisp.el $(ilisp_etc_dir)
	dh_install -p $(pkg) debian/ilisp-keybindings.el $(ilisp_etc_dir)
	dh_installinfo -p $(pkg) docs/ilisp.info
	dh_installdirs -p $(pkg) $(compiled_dir)
	for i in debian/$(pkg)/$(cl_dir)/*.lisp; do \
	  l=`echo $$i | sed -e "s|^debian/$(pkg)/$(cl_dir)/||;"` ;\
          dh_link -p $(pkg) $(cl_dir)/$$l $(compiled_dir)/$$l ; \
	done
	for i in debian/$(pkg)/$(ilisp_share)/*.scm; do \
	  l=`echo $$i | sed -e "s|^debian/$(pkg)/$(ilisp_share)/||;"` ;\
          dh_link -p $(pkg) $(ilisp_share)/$$l $(compiled_dir)/$$l ; \
	done

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	# Add here commands to clean up after the build process.
	-$(MAKE) clean
	dh_clean

binary-indep: build install


# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installemacsen
	dh_installchangelogs	
	dh_installdebconf
	dh_strip
	dh_compress
	dh_install -p $(pkg-doc) docs/ilisp.pdf docs/ilisp.html $(doc_dir)
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## ilisp 5.12.0+cvs.2004.12.26

=== Makefile ===
--- 
+++ 
@@ -8,14 +8,14 @@
 # Please refer to the file ACKNOWLEGDEMENTS for an (incomplete) list
 # of present and past contributors.
 #
-# $Id: Makefile,v 1.18 2002/01/25 11:48:33 mkoeppe Exp $
+# $Id: Makefile,v 1.23 2003/12/13 23:43:44 rgrjr Exp $
 
 # Note: this makefile assumes GNU make
 
 #==============================================================================
 # Various Variables
 
-Version = 5.11.1
+Version = 5.12.0
 
 # Use whichever you like most
 #EMACS = xemacs
@@ -26,12 +26,8 @@
 # change this to an ordinary copy command
 LN = ln -s
 
-# Pick the HyperSpec access package you prefer among the ones available in
-# directory `extra'
-HyperSpec = hyperspec-naggum.el
-
 # The SHELL variable is used only for making the distribution.
-SHELL = /bin/sh
+SHELL = /bin/csh
 
 # The 'rm' command used (we redefine it mostly because it may be
 # aliased
@@ -46,12 +42,13 @@
              HISTORY        \
              Makefile       \
              ilisp.emacs    \
+             icompile.bat   \
              INSTALLATION   \
              COPYING        \
              GETTING-ILISP  \
              Welcome        \
 	     ChangeLog      \
-	     ACKNOWLEGDEMENTS
+	     ACKNOWLEDGMENTS
 
 # maybe add custom-ilisp.elc to LoadFiles later.
 LoadFiles = ilisp-def.elc ilisp-sym.elc \
@@ -60,10 +57,9 @@
  ilisp-ext.elc ilisp-mod.elc ilisp-dia.elc ilisp-cmt.elc ilisp-rng.elc \
  ilisp-hnd.elc ilisp-utl.elc ilisp-cmp.elc ilisp-kil.elc ilisp-snd.elc \
  ilisp-xfr.elc ilisp-hi.elc ilisp-aut.elc \
- ilisp-cl.elc ilisp-cmu.elc ilisp-sbcl.elc ilisp-cl-easy-meny.elc\
- ilisp-scheme-easy-menu.elc\
+ ilisp-cl.elc ilisp-cmu.elc ilisp-sbcl.elc ilisp-cl-easy-menu.elc\
  ilisp-acl.elc ilisp-kcl.elc ilisp-luc.elc ilisp-sch.elc ilisp-hlw.elc \
- ilisp-xls.elc ilisp-chs.elc ilisp-openmcl.elc
+ ilisp-xls.elc ilisp-chs.elc ilisp-openmcl.elc ilisp-ccl.elc
 
 
 DocFiles = docs/Makefile \
@@ -79,7 +75,6 @@
 # Rules
 
 compile:
-	(cd extra; $(LN) -f $(HyperSpec) hyperspec.el; cd ..)
 	$(EMACS) -batch -l ilisp-mak.el
 
 tags:
@@ -89,15 +84,13 @@
 	cd docs; $(MAKE)
 
 clean: 
-	-$(RM) *.elc *~ extra/*.elc extra/hyperspec.el extra/*~ TAGS \
+	-$(RM) *.elc *~ extra/*.elc extra/*~ TAGS \
 	$(FaslFiles)
 	(cd docs; $(MAKE) clean)
 
 loadfile:
-	touch ilisp-all.elc
-	cat $(LoadFiles) > ilisp-all.elc
-	$(RM) $(LoadFiles)
-# Note that the redirection is done by a Bourne Shell.
+	@echo 'The "loadfile" target is no longer supported.'
+	@exit 1
 
 compress:
 	gzip *.el $(OtherFiles)
@@ -123,7 +116,7 @@
             $(Ilisp_tar_dir)/*.scm                                      \
             $(patsubst %,$(Ilisp_tar_dir)/%,$(DocFiles))                \
             $(Ilisp_tar_dir)/extra/README                               \
-            $(Ilisp_tar_dir)/extra/hyperspec-*.el                       \
+            $(Ilisp_tar_dir)/extra/hyperspec.el                         \
 	    $(Ilisp_tar_dir)/extra/cltl2.el				\
             $(Ilisp_tar_dir)/pictures/ilisp-icon.*                      \
         )

=== docs/Makefile ===
--- 
+++ 
@@ -8,14 +8,14 @@
 # Please refer to the file ACKNOWLEGDEMENTS for an (incomplete) list
 # of present and past contributors.
 #
-# $Id: Makefile,v 1.5 2001/06/06 12:07:33 amoroso Exp $
+# $Id: Makefile,v 1.7 2002/08/17 16:20:15 kevinrosenberg Exp $
 
 # Note: this makefile assumes GNU make
 
 #==============================================================================
 # Various Variables
 
-Version = 5.11.1
+Version = 5.12.0
 
 # The SHELL variable is used only for making the distribution.
 SHELL = /bin/sh
@@ -40,6 +40,9 @@
 
 #==============================================================================
 # Rules
+
+# KMR: Add .PHONY so that make system will build html rule rather that look at html directory
+.PHONY: html
 
 docs: ps pdf info html

=== debian/control ===
Source: ilisp
Section: devel
Priority: optional
Maintainer: Debian Emacs addons team <pkg-emacsen-addons@alioth-lists.debian.net>
Uploaders: Barak A. Pearlmutter <bap@debian.org>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: texinfo, ghostscript, texlive-latex-base
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://sourceforge.net/projects/ilisp/
Vcs-Git: https://salsa.debian.org/debian/ilisp.git
Vcs-Browser: https://salsa.debian.org/debian/ilisp

Package: ilisp
Architecture: all
Depends: emacsen-common, ${misc:Depends}, adduser
Recommends: ilisp-doc
Suggests: hyperspec, cltl, emacs | emacs25 | emacs24 | emacs23 | emacs22 | emacs21
Description: Emacs interface to LISP implementations
 ILISP is a powerful GNU Emacs interface to many dialects of Lisp,
 including Lucid, Allegro, Harlequin LispWorks, GCL, KCL, AKCL, ECL,
 IBCL, and CMUCL.  Also some Scheme implementations are supported as
 well as a preliminary version of Xlisp/XlispStat.

Package: ilisp-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Section: doc
Recommends: ilisp
Description: Documentation for ILISP package
 This package supplies PDF and HTML documentation for the ILISP
 package. ILISP is a powerful GNU Emacs interface to many dialects of
 Lisp.

=== debian/rules ===
#!/usr/bin/make -f

# GNU copyright 1997 to 1999 by Joey Hess.
# GNU copyright 2002 to 2003 Kevin Rosenberg <kmr@debian.org>
# nearly complete rewrite Copyright 2009 Barak A. Pearlmutter <bap@debian.org>

%:
	dh $@

pkg		:= ilisp
pkg-doc		:= ilisp-doc
emacs_dir	:= usr/share/emacs/site-lisp/$(pkg)
ilisp_etc_dir	:= etc/ilisp
ilisp_share	:= usr/share/ilisp
cl_dir		:= usr/share/common-lisp/source/ilisp
clc_systems	:= usr/share/common-lisp/systems
compiled_dir	:= usr/lib/ilisp

override_dh_auto_build:
	$(MAKE) -C docs info pdf ilisp.html

execute_after_dh_install:
	for i in debian/$(pkg)/$(cl_dir)/*.lisp; do \
	  l=$$(echo $$i | sed -e "s|^debian/$(pkg)/$(cl_dir)/||;") ; \
          dh_link -p $(pkg) $(cl_dir)/$$l $(compiled_dir)/$$l ; \
	done
	for i in debian/$(pkg)/$(ilisp_share)/*.scm; do \
	  l=$$(echo $$i | sed -e "s|^debian/$(pkg)/$(ilisp_share)/||;") ; \
          dh_link -p $(pkg) $(ilisp_share)/$$l $(compiled_dir)/$$l ; \
	done

override_dh_compress:
	dh_compress --exclude=.pdf
